#!/bin/sh

TARGET=bonjour

#
# Ce placer dans le répertoire courant
#
TESTDIR="$(cd "$(dirname "$0}")" && pwd)"
cd "$TESTDIR"

#
# Conserver une trace de toutes les actions
#
LOG="test.log"
rm -f "$LOG"
touch "$LOG"

#
# Importer les fonctions communes à tous les tests
#
. ./fonctions.sh


#
# Compilation du programme.
#

echo "-- Compilation --"
gcc -Wall -Werror -Wextra -g $TARGET.c -o $TARGET >> $LOG 2>&1 || fail

coloredEcho "OK" green


echo "-- Execution --"
#
# Test "entrée/sortie"
#
test_entree_sortie "" "Bonjour le monde" test_diff


exit 0
